Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450934 - mail-notification crashes straight away after starting
Summary: mail-notification crashes straight away after starting
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mail-notification
Version: 9
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dmitry Butskoy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-11 19:48 UTC by Dawid Lorenz
Modified: 2009-07-14 17:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:54:25 UTC


Attachments (Terms of Use)
Bug-buddy report of the crash (deleted)
2008-06-11 19:49 UTC, Dawid Lorenz
no flags Details

Description Dawid Lorenz 2008-06-11 19:48:07 UTC
Description of problem:
Mail-notification applet crashes straight away after starting, doesn't matter if
executed as a part of desktop startup, or started manually from command line.

It started happening after installing latest Fedora 9 updates.

Version-Release number of selected component (if applicable):
mail-notification-5.4-1.fc9.i386

How reproducible:
Execute it and wait for bug-buddy.

Steps to Reproduce:
1. Execute
2. Wait for bug-buddy to announce a crash
3. File a bug to bugzilla :)
  
Actual results:
Crashing

Expected results:
Working

Additional info:
When started from command line:

[evad@D620 ~]$ mail-notification 
51d495e2-e720-a2ee-59e557ea-664801c2 is dumped

Additionally I attach bug-buddy report.

Comment 1 Dawid Lorenz 2008-06-11 19:49:24 UTC
Created attachment 308984 [details]
Bug-buddy report of the crash

Comment 2 Dawid Lorenz 2008-06-11 19:50:53 UTC
Forgot to mention: after executing mail-notification, mailboxes are actually
checked, as I can see mail notifications. That is happening while (or just
before) bug-buddy kicks in.

Comment 3 Dmitry Butskoy 2008-06-16 12:43:56 UTC
What version was before the update?

Does "full uninstall then install again" help?

What type of mailboxes do you use?

Comment 4 Dawid Lorenz 2008-06-16 12:46:59 UTC
(In reply to comment #3)
> What version was before the update?

I don't know.

> Does "full uninstall then install again" help?

I'll try once I'm back home (I don't have F9 on my office laptop).
 
> What type of mailboxes do you use?

1xIMAP and 1xGmail. Always used to work fine.

Comment 5 Dawid Lorenz 2008-06-16 20:18:59 UTC
OK, I've managed to nail the problem down. It turned out it only crashes when
trying to check Gmail account. Other IMAP account works fine. Gmail - crash
straight away.

Comment 6 Dmitry Butskoy 2008-06-17 11:48:24 UTC
OK, send it upstream...

Comment 7 Dmitry Butskoy 2008-06-20 15:58:55 UTC
Could you pleease report this issue to the upstream bug tracker,
https://bugs.launchpad.net/mail-notification/+bugs
?

Comment 8 Dawid Lorenz 2008-06-20 16:18:36 UTC
I can't do it at the moment. I'm just about to leave away on holiday-break for
two weeks, and my time is currently limited. I might be able to do it over the
holiday time, but I can't promise.

Sorry about that :(

Comment 9 Dmitry Butskoy 2008-08-13 13:12:02 UTC
What if run in cmdline in "C" locale? Ie.:

LANG=C mail-notification

Comment 10 Dmitry Butskoy 2008-10-15 13:54:03 UTC
While the upstream has not fixed it, the work-around could be to access Gmail by POP (pop3 protocol)...

Comment 11 Bug Zapper 2009-06-10 01:33:48 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2009-07-14 17:54:25 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.